\documentclass{standalone}

\usepackage{tikz}
 \input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm,mydashed/.style={dashed,dash phase=1pt}]
\clip(-1.5,0.5) rectangle (3.5,4.5);
\draw [line width=1.5pt,color=A2] (-1,1)-- (2,1);
\draw [line width=1.5pt,color=A2] (2,1)-- (3,2);
\draw [line width=1.5pt,color=A2] (3,2)-- (3,4);
\draw [line width=1.5pt,color=A2] (3,4)-- (2,3);
\draw [line width=1.5pt,color=A2] (2,3)-- (-1,3);
\draw [line width=1.5pt,color=A2] (-1,3)-- (-1,1);
\draw [line width=1.5pt,mydashed,color=A2] (-1,1)-- (0,2);
\draw [line width=1.5pt,mydashed,color=A2] (0,2)-- (0,4);
\draw [line width=1.5pt,color=A2] (0,4)-- (-1,3);
\draw [line width=1.5pt,color=A2] (0,4)-- (3,4);
\draw [line width=1.5pt,color=A2] (2,3)-- (2,1);
\draw [line width=1.5pt,mydashed,color=A2] (0,2)-- (3,2);
\begin{Large}
\draw[color=black] (-1.25,0.75) node {$A$};
\draw[color=black] (2.25,0.75) node {$B$};
\draw[color=black] (3.25,2.25) node {$C$};
\draw[color=black] (0.25,2.25) node {$D$};
\draw[color=black] (2.25,2.75) node {$F$};
\draw[color=black] (3.25,4.25) node {$G$};
\draw[color=black] (-1.25,3.25) node {$E$};
\draw[color=black] (-0.25,4.25) node {$H$};
\draw[color=J2] (-0.84,2.47) node {$R$};
\draw[color=J2] (0.68,3.27) node {$S$};
\draw[color=J2] (2.58,4.27) node {$T$};
\end{Large}
\draw [fill=J2] (-1,2.2) circle (1.5pt);
\draw [fill=J2] (0.52,3) circle (1.5pt);
\draw [fill=J2] (2.42,4) circle (1.5pt);
\end{tikzpicture}
\end{document}